%define xver	336

Summary:	A collection of user-contributed X Window System programs
Name:		X11R6-contrib
Version:	3.3.6
Release:	11mdk
License:	MIT
Group:		System/XFree86
BuildRequires:	XFree86-devel libxpm4-devel

Source0:	ftp://ftp.xfree86.org/pub/XFree86/%{version}/sources/X%{xver}contrib.tar.bz2
# localized ressources files; don't hesitate to add more to the tar
# fiel if you have them.
Source1:	X11R6-contrib-3.3.1-i18n-app-defauls.tar.bz2
Source2:	icons-%{name}.tar.bz2
Patch1:		x11r6-contrib-3.1.2-rhs.patch.bz2
Patch2:		x11r6-contrib-3.1.2-mandoc.patch.bz2
Patch3:		x11r6-contrib-3.1.2-sparc.patch.bz2
Patch4:		%{name}-3.3.1-pthreads.patch.bz2
Patch5: 	%{name}-3.3.6.man.bz2.patch.bz2
Patch6:		%{name}-3.3.1-xman.patch.bz2
# Tricky: the patch above (Patch6) requires that the package be built as root
# (install won't allow a normal user to install setgid binaries)
# The ownership and mode for the executable have been modified into the %files
# section
# Moreover, it's broken anyway: the RPM would install it as sgid root and not
# man! -- (fg)
Patch7:		x11r6-contrib-3.1.2-xman-imakefile.patch.bz2
Patch8:		%{name}-3.3.6-noshowfont-ppc.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root

%description
If you want to use the X Window System, you should install X11R6-contrib. This
package holds many useful programs from the X Window System, version 11, release
6 contrib tape. The programs, contributed by various users, include listres,
xbiff, xedit, xeyes, xcalc, xload and xman, among others.

you will also need to install the XFree86 package, the XFree86 package which
corresponds to your video card, one or more of the XFree86 fonts packages, the
Xconfigurator package and the XFree86-libs package.

Finally, if you are going to develop applications that run as X clients, you
will also need to install XFree86-devel.

%prep

%setup -c -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
# (fl) to see with Pablo
#%patch6 -p1
# (fg) patch for broken Imakefile
#%patch7 -p1
# (chmou) ppc use XF4 for now and don't need showfont
%ifarch ppc
%patch8 -p1
%endif

%build
cd contrib
xmkmf -a
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

cd contrib
make DESTDIR=$RPM_BUILD_ROOT install install.man

# added l10n'ed files
tar jxvf %{SOURCE1} -C $RPM_BUILD_ROOT

# [DDX] I thought spec-helper was supposed to handle this?
# find $RPM_BUILD_ROOT/usr/X11R6/man/man1/ -type 'f'|xargs bzip2 -9

( cd $RPM_BUILD_ROOT
# xload doesn't need to be setuid
  chmod u-s ./usr/X11R6/bin/xload

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat > $RPM_BUILD_ROOT/usr/lib/menu/%{name} << EOF
?package(%{name}): needs=x11 icon="xcalq.xpm" section="Office" title="Calculator" longtitle="Scientific calculator for X" command="xcalc"
?package(%{name}): needs=x11 icon="xditview.xpm" section="Applications/Publishing" title="XDitview" longtitle="Ditroff previewer" command=xditview
?package(%{name}): needs=x11 icon="xedit.xpm" section="Applications/Editors" title="XEdit" longtitle="Small editor" command=xedit
?package(%{name}): needs=x11 icon="xeyes.xpm" section="Amusement/Toys" title="XEyes" longtitle="Watchful Eyes" command=xeyes
?package(%{name}): needs=x11 icon="ico.xpm" section="Amusement/Toys" title="ICO" longtitle="Animate an icosahedron or other polyhedron" command="ico"
?package(%{name}): needs=x11 icon="xfontsel.xpm" section="Office" title="Font Selector" longtitle="Select X Fonts" command="xfontsel"
?package(%{name}): needs=x11 icon="xload.xpm" section="Applications/Monitoring" title="XLoad" longtitle="Display system load" command="xload"
EOF
)

mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/?? $RPM_BUILD_ROOT/etc/X11
#mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xjvf %{SOURCE2} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/ico
/usr/X11R6/bin/listres
%ifnarch i386 i486 i586 i686 k6 k7 ppc
/usr/X11R6/bin/showfont
%endif
/usr/X11R6/bin/viewres
/usr/X11R6/bin/xbiff
/usr/X11R6/bin/xcalc
/usr/X11R6/bin/xditview
/usr/X11R6/bin/xedit
/usr/X11R6/bin/xev
/usr/X11R6/bin/xeyes
/usr/X11R6/bin/xfontsel
/usr/X11R6/bin/xgc
/usr/X11R6/bin/xload
%{_iconsdir}/*
# (fg) fix for broken Imakefile, again
%attr(2755,root,man) /usr/X11R6/bin/xman
/usr/X11R6/bin/xmessage
/usr/lib/menu/%{name}

%config(noreplace) /etc/X11/app-defaults/Viewres
%config(noreplace) /etc/X11/app-defaults/XCalc
%config(noreplace) /etc/X11/app-defaults/XCalc-color
%config(noreplace) /etc/X11/app-defaults/XFontSel
%config(noreplace) /etc/X11/app-defaults/XLoad
%config(noreplace) /etc/X11/app-defaults/Xditview
%config(noreplace) /etc/X11/app-defaults/Xditview-chrtr
%config(noreplace) /etc/X11/app-defaults/Xedit
%config(noreplace) /etc/X11/app-defaults/Xgc
%config(noreplace) /etc/X11/app-defaults/Xman
%config(noreplace) /etc/X11/app-defaults/Xmessage

%config(noreplace) /etc/X11/*/app-defaults/*

/usr/X11R6/lib/X11/xman.help

/usr/X11R6/man/man1/ico.1x*
/usr/X11R6/man/man1/listres.1x*
%ifnarch ppc
/usr/X11R6/man/man1/showfont.1x*
%endif
/usr/X11R6/man/man1/viewres.1x*
/usr/X11R6/man/man1/xbiff.1x*
/usr/X11R6/man/man1/xcalc.1x*
/usr/X11R6/man/man1/xditview.1x*
/usr/X11R6/man/man1/xedit.1x*
/usr/X11R6/man/man1/xev.1x*
/usr/X11R6/man/man1/xeyes.1x*
/usr/X11R6/man/man1/xfontsel.1x*
/usr/X11R6/man/man1/xgc.1x*
/usr/X11R6/man/man1/xload.1x*
/usr/X11R6/man/man1/xman.1x*
/usr/X11R6/man/man1/xmessage.1x*

%changelog
* Tue Jan 16 2001 David BAUDENS <baudens@mandrakesoft.com> 3.3.6-11mdk
- BuildRequires: libxpm4-devel

* Mon Nov 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-10mdk
- added longtitles.

* Tue Oct 03 2000 Daouda Lo <daouda@mandrakesoft.com> 3.3.6-9mdk
- provide large and medium icons and make them tranparents
- handle all icons in one bzipped file
- More Macrozif..

* Fri Aug 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-8mdk
- put app-defaults files in /etc/X11/app-defaults.

* Wed Aug 16 2000 David BAUDENS <baudens@mandrakesoft.com> 3.3.6-7mdk
- Fix menu entries
- Macrotitication for update-menus

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-6mdk
- automatically added BuildRequires

* Sun Jul  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.3.6-5mdk
- ppc use XF4 for now and don't need showfont.

* Mon Jun 26 2000 DindinX <odin@mandrakesoft.com> 3.3.6-4mdk
- fix xman so it can handle bzipped file
- small spec fixes

* Fri May 05 2000 Daouda Lo <daouda@mandrakesoft.com> 3.3.6-3mdk
- (dirty) workaround conflicts with fvwm.

* Wed May 03 2000 Daouda Lo <daouda@mandrakesoft.com> 3.3.6-2mdk
- add icons(32x32) to menu_entries (path to icons set to default) 
- correct the %post and postun sections to run effectively update-menus

* Thu Mar 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-1mdk
- menu
- 3.3.6 contribs.
- group fix

* Tue Jan 11 2000 Francis Galiegue <francis@mandrakesoft.com>
- Fixed broken Imakefile for xman

* Fri Nov 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Wed Aug 11 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- patched to support compressed manpages (Z,gz,bzip,bzip2), the /var/catman/
  directory to store formated pages, and the $LANG variable to display man
  pages on different languages depending on the preferences of users.
  xman is also now setgid man (to be able to write in /var/catman)
- added a few localized ressources files (spanish and walloon fro xman
  and xfontsel)

* Tue Apr 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- Handle RPM_OPT_FLAGS
- Bzip2 pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- updated to 3.3.2

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version
- wmconfig
